Subject: RE: bug#29423: 27.0.50; ls-lisp does not handle -F switch properly

From: Drew Adams <[email-masked]>
Date: Fri, 24 Nov 2017 12:27:05 -0800 (PST)

> > I did it again, from emacs -Q, with the Emacs 26.1 pretest.
> >
> > I tried with M-x load-library ls-lisp.el, and
> > I tried with M-x load-library ls-lisp.elc.  And I
> > think that neither should be needed, since Emacs
> > on MS Windows (which I'm using) uses ls-lisp by
> > default.
> >
> > I still see what I reported earlier: the property
> > is on the directory name (but not on the /).
> 
> I can reproduce according to Michael's instructions on MS-Windows, in
> Emacs 24.5, 25.3, and an Emacs 26 pretest (I don't have exactly
> 26.0.90 handy though).

OK.  If you can repro it then I'm probably not helping
here.

> > I'm guessing that the Emacs 26 you're using is
> > something later than the pretest.  Or else the
> > difference has something to do with the platform.
> 
> Are you looking at a dired buffer? That's the only I can replicate
> what you are reporting.

I can't parse your last sentence.  Yes, I was looking
at a dired buffer.

I tested with this pretest build:

In GNU Emacs 26.0.90 (build 3, x86_64-w64-mingw32)
 of 2017-10-13 built on LAPHROAIG
Repository revision: 906224eba147bdfc0514090064e8e8f53160f1d4
Windowing system distributor 'Microsoft Corp.', version 6.1.7601

I just repeated the test with this other pretest build,
and I see the same things as before.

In GNU Emacs 26.0.90 (build 3, x86_64-w64-mingw32)
 of 2017-10-13 built on LAPHROAIG
Repository revision: 906224eba147bdfc0514090064e8e8f53160f1d4
Windowing system distributor 'Microsoft Corp.', version 6.1.7601

And I just repeated the test with Emacs 25.3.1,
and I see the same things I reported earlier.

In GNU Emacs 25.3.1 (x86_64-w64-mingw32)
 of 2017-09-26 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --without-dbus --without-compress-install 'CFLAGS=-O2
 -static -g3' PKG_CONFIG_PATH=/mingw64/lib/pkgconfig'

HTH.

(I'm still guessing that you guys are using a more
recent Emacs 26 than these pretests, and that something
broke this since these pretest builds.)